using IWS5.Core.DTO;

namespace IWS5.DatabaseAccess.Interfaces.Importer
{
    public interface IProcessRepository
    {
        Task<List<ProcessDto>> GetProcessesAsync();
        Task<ProcessDto?> GetProcessByNameAndVersionAsync(string processName, int? version = null);
    }
}
